## org.eclipse.jst.ws.annotations.core
Class AnnotationsCorePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.jst.ws.annotations.core.AnnotationsCorePlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class AnnotationsCorePlugin

extends org.eclipse.core.runtime.Plugin

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Field Summary
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AnnotationsCorePlugin()`

Method Summary
`static AnnotationsCorePlugin` `getDefault()`
`static void` `log(org.eclipse.core.runtime.IStatus status)`
`static void` `log(java.lang.Throwable exception)`
`static void` `logMessage(int severity, java.lang.String message)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### AnnotationsCorePlugin

    public AnnotationsCorePlugin()

Method Detail

### getDefault

    public static AnnotationsCorePlugin getDefault()

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### logMessage

    public static void logMessage(int severity,
                                  java.lang.String message)

### log

    public static void log(org.eclipse.core.runtime.IStatus status)

### log

    public static void log(java.lang.Throwable exception)